> For a complete page index, fetch https://developer.close.com/llms.txt

# Subscribe a Contact to a Sequence

POST https://api.close.com/api/v1/sequence_subscription/
Content-Type: application/json

Reference: https://developer.close.com/api/resources/sequences/create-subscription

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an any.

- `any`

## Response

### 201

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Request**

```json
{
  "calls_assigned_to": [
    "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
  ],
  "contact_email": "contact@example.org",
  "contact_id": "cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3",
  "sender_account_id": "emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej",
  "sender_email": "john@salesteam.com",
  "sender_name": "John Doe",
  "sequence_id": "seq_1BTljGuCooX0nbFoPihl07"
}
```

**Response**

```json
{
  "calls_assigned_to": [
    "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
  ],
  "contact_email": "contact@example.org",
  "contact_id": "cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3",
  "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2022-03-10T14:40:27.442448",
  "date_updated": "2022-03-10T14:40:27.442451",
  "id": "sub_71lcl74wTWvv7Erx6uYWno",
  "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "sender_account_id": "emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej",
  "sender_email": "john@salesteam.com",
  "sender_name": "John Doe",
  "sequence_id": "seq_1BTljGuCooX0nbFoPihl07",
  "start_date": null,
  "status": "active",
  "status_reason": null,
  "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}
```

**SDK Code**

```python
import requests

url = "https://api.close.com/api/v1/sequence_subscription/"

payload = {
    "calls_assigned_to": ["user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"],
    "contact_email": "contact@example.org",
    "contact_id": "cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3",
    "sender_account_id": "emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej",
    "sender_email": "john@salesteam.com",
    "sender_name": "John Doe",
    "sequence_id": "seq_1BTljGuCooX0nbFoPihl07"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/sequence_subscription/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"calls_assigned_to":["user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"],"contact_email":"contact@example.org","contact_id":"cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3","sender_account_id":"emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej","sender_email":"john@salesteam.com","sender_name":"John Doe","sequence_id":"seq_1BTljGuCooX0nbFoPihl07"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/sequence_subscription/"

	payload := strings.NewReader("{\n  \"calls_assigned_to\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"contact_email\": \"contact@example.org\",\n  \"contact_id\": \"cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3\",\n  \"sender_account_id\": \"emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej\",\n  \"sender_email\": \"john@salesteam.com\",\n  \"sender_name\": \"John Doe\",\n  \"sequence_id\": \"seq_1BTljGuCooX0nbFoPihl07\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/sequence_subscription/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"calls_assigned_to\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"contact_email\": \"contact@example.org\",\n  \"contact_id\": \"cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3\",\n  \"sender_account_id\": \"emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej\",\n  \"sender_email\": \"john@salesteam.com\",\n  \"sender_name\": \"John Doe\",\n  \"sequence_id\": \"seq_1BTljGuCooX0nbFoPihl07\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/sequence_subscription/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"calls_assigned_to\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"contact_email\": \"contact@example.org\",\n  \"contact_id\": \"cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3\",\n  \"sender_account_id\": \"emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej\",\n  \"sender_email\": \"john@salesteam.com\",\n  \"sender_name\": \"John Doe\",\n  \"sequence_id\": \"seq_1BTljGuCooX0nbFoPihl07\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/sequence_subscription/', [
  'body' => '{
  "calls_assigned_to": [
    "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
  ],
  "contact_email": "contact@example.org",
  "contact_id": "cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3",
  "sender_account_id": "emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej",
  "sender_email": "john@salesteam.com",
  "sender_name": "John Doe",
  "sequence_id": "seq_1BTljGuCooX0nbFoPihl07"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/sequence_subscription/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"calls_assigned_to\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"contact_email\": \"contact@example.org\",\n  \"contact_id\": \"cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3\",\n  \"sender_account_id\": \"emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej\",\n  \"sender_email\": \"john@salesteam.com\",\n  \"sender_name\": \"John Doe\",\n  \"sequence_id\": \"seq_1BTljGuCooX0nbFoPihl07\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```